import request from '@/plugin/axios'
// export function teacherInfoTree (data) {
//   return request({
//     url: '/school/getSchoolList',
//     method: 'post',
//     data
//   })
// }
// 教工管理查询列表
export function treeNode (data) {
  return request({
    url: '/tree/getOriginTrees',
    method: 'post',
    data
  })
}
// 教工管理查询列表
export function teacherInfoList (data) {
  return request({
    url: '/staff/getStaffByPage',
    method: 'post',
    data
  })
}
// 编辑
export function teacherById (data) {
  return request({
    url: '/staff/getUpdate',
    method: 'post',
    data
  })
}
// 新增修改接口
export function saveOrUpdateTeacher (data) {
  return request({
    url: '/staff/insertUpdateStaff',
    method: 'post',
    data
  })
}
// 新增修改接口
export function deleteStaff(data) {
  return request({
    url: '/staff/deleteStaff',
    method: 'post',
    data
  })
}
// 离职
export function changeStatus(data) {
  return request({
    url: '/staff/updateStaffStatus',
    method: 'post',
    data
  })
}

// 所属角色接口getLanuchList
export function getLanuchList(data) {
  return request({
    url: '/role/getRoleByList',
    method: 'post',
    data
  })
}

